<?php

namespace Teknisa\DF\Modules\Saida\Factories;

use Doctrine\ORM\EntityManager;

class Dfs51000InutilizacaoNotaFiscalEletronicaFactory {
    
    private $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function getCertificado($config) {
        $sql = "SELECT DSDIRCERTIFICADO, CDSENHACERTIF
                  FROM INSCRESTAD 
                 WHERE CDINSCESTA = :P_CDINSCESTA
                   AND CDEMPRESA  = :P_CDEMPRESA
                   AND DSDIRCERTIFICADO IS NOT NULL";

        $params = array("P_CDINSCESTA"      => $config['ie'],
                        "P_CDEMPRESA"       => $config['cdempresa']);
					
		$std = $this->entityManager->getConnection()->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();
    }
    
}
